module RedmineCustomRecipients
  module IssuePatch
    def self.included(base)
      base.extend(ClassMethods)

      base.send(:include, InstanceMethods)

      base.class_eval do
        unloadable # Send unloadable so it will not be unloaded in development
        alias_method_chain :recipients, :custom_recipients
      end
    end
  end

  module ClassMethods
  end

  module InstanceMethods
    def recipients_with_custom_recipients
          recipient_list = recipients_without_custom_recipients
          custom_list = []
          if project.module_enabled?(:custom_recipients) && !self.is_private?
              users = self.custom_values.select {|v| v.custom_field.field_format == "user"}
              	users.each do |id|
              	   id = id.to_s
                   if !id.empty?  && User.find_by_id(id).mail_notification != 'none'
              		user = User.find(:all, :conditions => { :id => id } ).collect {|m| m.mail}
              		custom_list << user 
                   end
              	end
		recipient_list << custom_list
                recipient_list.uniq!
           end
           return recipient_list
    end
  end
end
